/*
    Part of X2GoAdminCenter.
    Copyright (C) 2011-2015 Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#include "settingsdialog.h"
#include "x2gosettings.h"
#include <QDebug>

SettingsDialog::SettingsDialog(QWidget* parent, Qt::WindowFlags f): QDialog(parent, f)
{
    setupUi(this);
    X2goSettings st("settings");
    checkBox->setChecked(st.setting()->value("admin",true).toBool());
    leUrl->setText(st.setting()->value("url","http://www/cgi-bin/x2gorpcserver.cgi").toString());
    leLogin->setText(st.setting()->value("login","cipadmin").toString());
}


SettingsDialog::~SettingsDialog()
{

}

void SettingsDialog::accept()
{
    X2goSettings st("settings");
    st.setting()->setValue("admin",checkBox->isChecked());
    st.setting()->setValue("url",leUrl->text());
    st.setting()->setValue("login",leLogin->text());
    QDialog::accept();
}
