/*
    Part of X2GoAdminCenter.
    Copyright (C) 2011-2015 Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef X2GOADMINIFACE
#define X2GOADMINIFACE

#include <QtPlugin>
#include <QPixmap>

class CenterInterface;
class X2goAdminPlugin
{
public:
    virtual ~X2goAdminPlugin() {}
    virtual QString pluginName() = 0;
    virtual QString description() = 0;
    virtual QString about() = 0;
    virtual QPixmap pluginPic() = 0;
    virtual QWidget* widget() = 0;
    virtual bool closePlugin() = 0;
    virtual void startPlugin() = 0;
    virtual void setCenterInstance(CenterInterface *obj) = 0;
};

Q_DECLARE_INTERFACE(X2goAdminPlugin,"ObviouslyNice.X2goAdminPlugin/1.0")
#endif
