/*
    Part of X2GoAdminCenter.
    Copyright (C) 2011-2015 Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef X2GOADMINCENTER_H
#define X2GOADMINCENTER_H

#include <QMainWindow>
#include "ui_x2goadmincenterui.h"
#include <QSslError>
#include <QNetworkReply>
#include "centerinterface.h"


#define VERSION "0.0.0.1"
#define APPICON QPixmap(":/png/x2go.png")

class X2goAdminPlugin;

class X2GoAdminCenter :  public QMainWindow, public CenterInterface, private Ui_X2GoAdminCenterUi
{
    Q_OBJECT
public:
    X2GoAdminCenter();
    virtual ~X2GoAdminCenter();

    QString getUrl();
    QString getLogin();
    QString getPassword();
    bool adminMode();
    void handleSslErrors(QNetworkReply *reply, const QList<QSslError> &errors);
    void backToList();
    void setStatus(const QString& message);
    QSettings* getSettings(QString group);

protected:
    virtual void closeEvent ( QCloseEvent * event );
private:
    void installTranslator();
    void loadPlugins();
    QString getHexVal ( const QByteArray& ba );

    QAction* tbSeparator;
    X2goAdminPlugin* currentPlugin;
    QString password;
    QString NAME;
    QString DESCRIPTION;
    QString DEVELOPERS;
    QString TRANSLATORS;
    QString ABOUT;

public slots:
    virtual void slotModuleClicked(QListWidgetItem*);
    void slotBackToList();

private slots:
    void slotAbout();
    void slotAboutModule();
    void slotSettings();
    void slotSetPassword();
};

#endif // X2GOADMINCENTER_H
